<template>
  <div
    class="form-multi-steps-step"
    :class="{
      'form-multi-steps-step--active': active
    }"
  >
    <slot />
  </div>
</template>

<script lang="ts" setup>
defineProps({
  active: {
    type: Boolean,
    required: false,
    default: false
  }
})
</script>

<style lang="scss" scoped>
.form-multi-steps-step {
  position: absolute;
  width: 100%;
  left: 100%;

  &--active {
    position: relative;
    left: 0;
  }
}
</style>
